﻿using Infragistics.Web.UI.GridControls;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        WebDataGrid1.DataSource = GetTable();
        WebDataGrid1.DataKeyFields = "Dosage";
    }

    static DataTable GetTable()
    {
        // Here we create a DataTable with four columns.
        DataTable table = new DataTable();
        table.Columns.Add("Dosage", typeof(int));
        table.Columns.Add("Checked", typeof(bool));
        table.Columns.Add("Patient", typeof(string));
        table.Columns.Add("Date", typeof(DateTime));

        // Here we add five DataRows.
        table.Rows.Add(25, true, "David", DateTime.Now);
        table.Rows.Add(50, false, "Sam", DateTime.Now);
        table.Rows.Add(10, true, "Christoff", DateTime.Now);
        table.Rows.Add(21, false, "Janet", DateTime.Now);
        table.Rows.Add(100, false, "Melanie", DateTime.Now);
        return table;
    }

    public void UncheckDataRow()
    {
        for (int j = 0; j < WebDataGrid1.Rows.Count; j++)
        {
            GridRecord selectedRow = WebDataGrid1.Rows[j];
            int columnIndex = WebDataGrid1.Columns["UnboundCheckBoxField_0"].Index;
            selectedRow.Items[columnIndex].Value = false;
        }
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        UncheckDataRow();
    }
}